Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
inference_api_key = client.cloud.inference.api_keys.get(
api_key_name="aws-dev",
project_id=1,
)
print(inference_api_key.created_at)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
inferenceAPIKey, err := client.Cloud.Inference.APIKeys.Get(
context.TODO(),
"aws-dev",
cloud.InferenceAPIKeyGetParams{
ProjectID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", inferenceAPIKey.CreatedAt)
}
curl --request GET \
--url https://api.gcore.com/cloud/v3/inference/{project_id}/api_keys/{api_key_name} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/inference/{project_id}/api_keys/{api_key_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-10-01T12:00:00Z",
"deployment_names": [
"inference-1",
"inference-2"
],
"description": "This key is used for accessing the inference service.",
"expires_at": "2024-10-01T12:00:00Z",
"name": "my-api-key"
}Everywhere Inference
Get inference API key
This endpoint retrieves a specific API key for everywhere inference.
GET
/
cloud
/
v3
/
inference
/
{project_id}
/
api_keys
/
{api_key_name}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
inference_api_key = client.cloud.inference.api_keys.get(
api_key_name="aws-dev",
project_id=1,
)
print(inference_api_key.created_at)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
inferenceAPIKey, err := client.Cloud.Inference.APIKeys.Get(
context.TODO(),
"aws-dev",
cloud.InferenceAPIKeyGetParams{
ProjectID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", inferenceAPIKey.CreatedAt)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Api key name.
Minimum string length:
4Pattern:
^[a-z0-9]([-a-z0-9]*[a-z0-9])?$Example:
"aws-dev"
Response
200 - application/json
OK
Timestamp when the API Key was created.
Example:
"2023-10-01T12:00:00Z"
List of inference deployment names to which this API Key has been attached.
Example:
["inference-1", "inference-2"]
Description of the API Key.
Example:
"This key is used for accessing the inference service."
Timestamp when the API Key will expire.
Example:
"2024-10-01T12:00:00Z"
API Key name.
Example:
"my-api-key"
Was this page helpful?